## libkcompactdisc 15.12.3

=== CMakeLists.txt ===
project(libkcompactdisc)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

## Compiler flags
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    # ALSA does not build with the default -std=iso9899:1990 from FindKDE4Internal.cmake.
    # See https://bugzilla.novell.com/show_bug.cgi?id=817077 for more information.
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
endif()

find_package(Alsa)
alsa_configure_file(${CMAKE_CURRENT_BINARY_DIR}/config-alsa.h)

include_directories(${KDE4_INCLUDES})
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})


set(wmlib_audio_SRCS
        wmlib/audio/audio.c
        wmlib/audio/audio_arts.c
        wmlib/audio/audio_alsa.c
        wmlib/audio/audio_sun.c
)

set(wmlib_SRCS
        wmlib/cdda.c
        wmlib/cddb.c
        wmlib/cdrom.c
        wmlib/wm_helpers.c
        wmlib/cdtext.c
        wmlib/scsi.c
        wmlib/plat_aix.c
        wmlib/plat_bsd386.c
        wmlib/plat_freebsd.c
        wmlib/plat_hpux.c
        wmlib/plat_irix.c
        wmlib/plat_linux.c
        wmlib/plat_svr4.c
        wmlib/plat_ultrix.c
        wmlib/plat_news.c
        wmlib/plat_openbsd.c
        wmlib/plat_osf1.c
        wmlib/plat_sun.c
        wmlib/plat_scor5.c
        wmlib/drv_sony.c
        wmlib/drv_toshiba.c
)

if (APPLE OR WIN32 OR CMAKE_SYSTEM_NAME STREQUAL GNU)
	set(USE_WMLIB false)
else (APPLE OR WIN32 OR CMAKE_SYSTEM_NAME STREQUAL GNU)
	set(USE_WMLIB true)
endif (APPLE OR WIN32 OR CMAKE_SYSTEM_NAME STREQUAL GNU)

set(kcompactdisc_LIB_SRCS kcompactdisc.cpp kcompactdisc_p.cpp phonon_interface.cpp)

if (USE_WMLIB)
	set(kcompactdisc_LIB_SRCS ${kcompactdisc_LIB_SRCS} wmlib_interface.cpp ${wmlib_SRCS} ${wmlib_audio_SRCS})
	add_definitions(-DUSE_WMLIB=1)
endif (USE_WMLIB)

kde4_add_library(kcompactdisc SHARED ${kcompactdisc_LIB_SRCS})

target_link_libraries(kcompactdisc ${KDE4_KDECORE_LIBS} ${KDE4_PHONON_LIBS} ${KDE4_SOLID_LIBS})
if (HAVE_LIBASOUND2)
    target_link_libraries(kcompactdisc ${ASOUND_LIBRARY})
endif (HAVE_LIBASOUND2)
if (USE_WMLIB)
    target_link_libraries(kcompactdisc ${CMAKE_THREAD_LIBS_INIT})
endif (USE_WMLIB)

set_target_properties(kcompactdisc PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )

install(TARGETS kcompactdisc EXPORT LibkcompactdiscTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES kcompactdisc.h  DESTINATION ${INCLUDE_INSTALL_DIR}/libkcompactdisc COMPONENT Devel)

# Figure out the relative path from the installed Config.cmake file to the install prefix (which may be at
# runtime different from the chosen CMAKE_INSTALL_PREFIX if under Windows the package was installed anywhere)
# This relative path will be configured into LibkcompactdiscConfig.cmake
file(RELATIVE_PATH relInstallDir ${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}/cmake/libkcompactdisc ${CMAKE_INSTALL_PREFIX})

configure_file(LibkcompactdiscConfig.cmake.in ${CMAKE_BINARY_DIR}/LibkcompactdiscConfig.cmake @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/LibkcompactdiscConfig.cmake DESTINATION ${LIB_INSTALL_DIR}/cmake/libkcompactdisc)
install(EXPORT LibkcompactdiscTargets DESTINATION ${LIB_INSTALL_DIR}/cmake/libkcompactdisc/ FILE LibkcompactdiscTargets.cmake NAMESPACE KDE::Libkcompactdisc::)

## libkcompactdisc 4.9.2

=== debian/changelog ===
libkcompactdisc (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:34:23 +0100

libkcompactdisc (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:39:24 +0530

libkcompactdisc (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:13:57 +0100

libkcompactdisc (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 18:05:58 +0200

libkcompactdisc (4:4.8.80a-0ubuntu1) quantal; urgency=low

  * Initial release. 
    - add fix_target_link_libraries.diff to fix a link error

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 26 May 2012 15:25:35 +0200

=== debian/control ===
Source: libkcompactdisc
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 9),               
               kdelibs5-dev (>= 4:4.9.2),
               libasound-dev,
               pkg-kde-tools (>= 0.12),
               quilt
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcompactdisc
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcompactdisc

Package: libkcompactdisc4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkcddb4 (<< 4:4.8.80)
Replaces: libkcddb4 (<< 4:4.8.80)
Description: KDE library for interfacing with CDs
 libkcompactdisc provides a CD interface for KDE applications.
 .
 libkcompactdisc4 contains the library of libkcompactisc.

Package: libkcompactdisc-dev
Section: libdevel
Architecture: any
Depends: libkcompactdisc4 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkcompactdisc4}
Breaks: libkcddb-dev (<< 4:4.8.80)
Replaces: libkcddb-dev (<< 4:4.8.80)
Description: KDE library for interfacing with CDs -- development files
 libkcompactdisc provides a CD interface for KDE applications.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kcompactdisc.h header file.

Package: libkcompactdisc-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libkcompactdisc4 (= ${binary:Version}), ${misc:Depends}
Breaks: kdemultimedia-dbg (<< 4:4.8.80)
Replaces: kdemultimedia-dbg (<< 4:4.8.80)
Description: KDE library for interfacing with CDs -- debugging symbols
 libkcompactdisc provides a CD interface for KDE applications.
 .
 This package contains the debugging files used to investigate problems with
 libkcompactdisc.

## libkcompactdisc 4.9.3

=== debian/changelog ===
libkcompactdisc (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:40:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9),               
-               kdelibs5-dev (>= 4:4.9.2),
+               kdelibs5-dev (>= 4:4.9.3),
                libasound-dev,
                pkg-kde-tools (>= 0.12),
                quilt

## libkcompactdisc 4.10.0

=== debian/changelog ===
libkcompactdisc (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:07:04 +0000

libkcompactdisc (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:58:07 +0000

libkcompactdisc (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:19:49 +0100

libkcompactdisc (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:09:51 +0000

libkcompactdisc (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:10:52 +0000

libkcompactdisc (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:38:54 +0000

libkcompactdisc (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:43:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9),               
-               kdelibs5-dev (>= 4:4.9.3),
+               kdelibs5-dev (>= 4:4.10.0),
                libasound-dev,
                pkg-kde-tools (>= 0.12),
                quilt

## libkcompactdisc 4.10.2

=== debian/changelog ===
libkcompactdisc (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:31:17 +0200

libkcompactdisc (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:42:11 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9),               
-               kdelibs5-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
                libasound-dev,
                pkg-kde-tools (>= 0.12),
                quilt

## libkcompactdisc 4.10.3

=== debian/changelog ===
libkcompactdisc (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:00:22 +0200

libkcompactdisc (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:31:17 +0200

libkcompactdisc (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:42:11 +0000

libkcompactdisc (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:07:04 +0000

libkcompactdisc (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:58:07 +0000

libkcompactdisc (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:19:49 +0100

libkcompactdisc (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:09:51 +0000

libkcompactdisc (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:10:52 +0000

libkcompactdisc (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:38:54 +0000

libkcompactdisc (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:43:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9),               
-               kdelibs5-dev (>= 4:4.10.2),
+               kdelibs5-dev (>= 4:4.10.3),
                libasound-dev,
                pkg-kde-tools (>= 0.12),
                quilt

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkcompactdisc-dbg

## libkcompactdisc 4.11.2

=== debian/changelog ===
libkcompactdisc (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:46:02 +0100

libkcompactdisc (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:34:54 +0100

libkcompactdisc (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:50:31 +0100

libkcompactdisc (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:56:25 +0100

libkcompactdisc (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:18 +0000

libkcompactdisc (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:26:14 +0100

libkcompactdisc (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 01:41:26 +0100

libkcompactdisc (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:45:43 +0100

libkcompactdisc (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:10:48 +0000

libkcompactdisc (4:4.10.2-3) experimental; urgency=low

  [ Pino Toscano ]
  * Instead of just removing the sys/mount.h include from plat_freebsd.c,
    replace it with sys/statfs.h; replace patch kfreebsd_extra_include.diff
    with kfreebsd_include.diff.
  * Backport upstream commit 943938c09e2fe44e5a20804be8ba18e72bc6d730 to
    properly link to pthread when wmlib is used; the new patch
    upstream_cmake-link-to-pthread-when-wmlib-is-used.patch replaces patch
    fix_target_link_libraries.diff.

 -- Sune Vuorela <sune@debian.org>  Thu, 11 Apr 2013 06:43:11 +0000

libkcompactdisc (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Backport upstream commit 4d7f2c572dec110ea71eae95f203e057cb4e41e3 to
    disable wmlib on GNU/Hurd.
  * Remove an extra include in plat_freebsd.c, which should make libkcompactdisc
    compile on GNU/kFreeBSD; patch kfreebsd_extra_include.diff.
  * Update the symbols file for GNU/kFreeBSD and GNU/Hurd.

 -- Sune Vuorela <sune@debian.org>  Mon, 08 Apr 2013 19:21:22 +0000

libkcompactdisc (4:4.10.2-1) experimental; urgency=low

  [ Pino Toscano ]
  * Initial packaging.

 -- Sune Vuorela <sune@debian.org>  Fri, 05 Apr 2013 21:57:29 +0000

=== debian/control ===
Source: libkcompactdisc
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2), libphonon-dev (>= 4:4.6.0really4.3.80),
 libasound2-dev [linux-any],
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcompactdisc
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcompactdisc
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkcompactdisc.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/libkcompactdisc.git

Package: libkcompactdisc4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libkcddb4 (<< 4:4.10)
Replaces: libkcddb4 (<< 4:4.10)
Description: CD drive library for KDE Platform (runtime)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package is part of the KDE multimedia module.

Package: libkcompactdisc-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkcompactdisc4 (= ${binary:Version})
Breaks: libkcddb-dev (<< 4:4.10)
Replaces: libkcddb-dev (<< 4:4.10)
Description: CD drive library for KDE Platform (development)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package contains the development files for libKCompactDisc.
 .
 This package is part of the KDE multimedia module.

Package: libkcompactdisc-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libkcompactdisc4 (= ${binary:Version})
Breaks: kdemultimedia-dbg
Replaces: kdemultimedia-dbg
Description: debugging symbols for libKCompactDisc
 This package contains debugging files used to investigate problems with
 the libKCompactDisc library.
 .
 This package is part of the KDE multimedia module.

## libkcompactdisc 4.11.5

=== debian/changelog ===
libkcompactdisc (4:4.11.5-1~tanglu10u1) aequorea-updates; urgency=medium

  * Build for aequorea.

 -- Jon Severinsson <jon@severinsson.net>  Wed, 16 Apr 2014 12:00:00 +0200

libkcompactdisc (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Enable build failures on missing symbols.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Jan 2014 18:57:53 -0300

libkcompactdisc (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 12:17:22 +0100

libkcompactdisc (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Remove patch upstream_disable-wmlib-on-GNU-Hurd.patch, applied by
    upstream.
  * Enable auto tests.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Sep 2013 20:17:07 +0200

libkcompactdisc (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 12:59:14 +0200

libkcompactdisc (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Remove upstream_cmake-link-to-pthread-when-wmlib-is-used.patch, applied by
    upstream.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 08:26:13 +0200

## libkcompactdisc 4.12.3

=== debian/changelog ===
libkcompactdisc (4:4.12.3-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:54 +0200

libkcompactdisc (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:52 +0100

=== debian/control ===
Source: libkcompactdisc
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.11),
               libasound2-dev [linux-any],
               libphonon-dev (>= 4:4.6.0really4.3.80),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkcompactdisc.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkcompactdisc.git

Package: libkcompactdisc4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkcddb4 (<< 4:4.10)
Replaces: libkcddb4 (<< 4:4.10)
Description: CD drive library for KDE Platform (runtime)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package is part of the KDE multimedia module.

Package: libkcompactdisc-dev
Section: libdevel
Architecture: any
Depends: libkcompactdisc4 (= ${binary:Version}), ${misc:Depends}
Breaks: libkcddb-dev (<< 4:4.10)
Replaces: libkcddb-dev (<< 4:4.10)
Description: CD drive library for KDE Platform (development)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package contains the development files for libKCompactDisc.
 .
 This package is part of the KDE multimedia module.

Package: libkcompactdisc-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libkcompactdisc4 (= ${binary:Version}), ${misc:Depends}
Breaks: kdemultimedia-dbg
Replaces: kdemultimedia-dbg
Description: debugging symbols for libKCompactDisc
 This package contains debugging files used to investigate problems with
 the libKCompactDisc library.
 .
 This package is part of the KDE multimedia module.

## libkcompactdisc 4.13.0

=== debian/changelog ===
libkcompactdisc (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:20:28 +0100

libkcompactdisc (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:47:53 +0200

libkcompactdisc (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:47:22 +0100

libkcompactdisc (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:53:03 +0000

libkcompactdisc (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:08:32 +0100

libkcompactdisc (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:19:34 +0000

libkcompactdisc (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:33:51 +0000

libkcompactdisc (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:33:23 +0000

libkcompactdisc (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:32:02 +0000

libkcompactdisc (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:28:56 +0100

libkcompactdisc (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:53:19 +0100

=== debian/control ===
Source: libkcompactdisc
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.13.0), libphonon-dev (>= 4:4.6.0really4.3.80),
 libasound2-dev [linux-any],
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcompactdisc
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcompactdisc
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkcompactdisc.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/libkcompactdisc.git

Package: libkcompactdisc4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libkcddb4 (<< 4:4.10)
Replaces: libkcddb4 (<< 4:4.10)
Description: CD drive library for KDE Platform (runtime)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package is part of the KDE multimedia module.

Package: libkcompactdisc-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkcompactdisc4 (= ${binary:Version})
Breaks: libkcddb-dev (<< 4:4.10)
Replaces: libkcddb-dev (<< 4:4.10)
Description: CD drive library for KDE Platform (development)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package contains the development files for libKCompactDisc.
 .
 This package is part of the KDE multimedia module.

Package: libkcompactdisc-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libkcompactdisc4 (= ${binary:Version})
Breaks: kdemultimedia-dbg
Replaces: kdemultimedia-dbg
Description: debugging symbols for libKCompactDisc
 This package contains debugging files used to investigate problems with
 the libKCompactDisc library.
 .
 This package is part of the KDE multimedia module.

## libkcompactdisc 4.13.2

=== debian/changelog ===
libkcompactdisc (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:53:02 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), libphonon-dev (>= 4:4.6.0really4.3.80),
+ kdelibs5-dev (>= 4:4.13.2), libphonon-dev (>= 4:4.6.0really4.3.80),
  libasound2-dev [linux-any],
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,11 @@
 
 .PHONY: override_dh_auto_test
 
+override_dh_makeshlibs:
+	$(overridden_command) -V -- -c0
+
 override_dh_shlibdeps:
-	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
+	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
 	$(overridden_command) --remaining-packages
 
 override_dh_strip:

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/libkcompactdisc-([\d\.]*).tar.xz

## libkcompactdisc 4.14.1

=== debian/changelog ===
libkcompactdisc (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:44:08 +0200

libkcompactdisc (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:30:36 +0200

libkcompactdisc (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:19:19 +0200

libkcompactdisc (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:44:20 +0200

libkcompactdisc (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:34:39 +0200

libkcompactdisc (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:05:45 +0100

=== debian/control ===
Source: libkcompactdisc
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.14.1),
               libasound2-dev [linux-any],
               libphonon-dev (>= 4:4.6.0really4.3.80),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcompactdisc
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcompactdisc
X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkcompactdisc.git
X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkcompactdisc.git

Package: libkcompactdisc4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkcddb4 (<< 4:4.10)
Replaces: libkcddb4 (<< 4:4.10)
Description: CD drive library for KDE Platform (runtime)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package is part of the KDE multimedia module.

Package: libkcompactdisc-dev
Section: libdevel
Architecture: any
Depends: libkcompactdisc4 (= ${binary:Version}), ${misc:Depends}
Breaks: libkcddb-dev (<< 4:4.10)
Replaces: libkcddb-dev (<< 4:4.10)
Description: CD drive library for KDE Platform (development)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package contains the development files for libKCompactDisc.
 .
 This package is part of the KDE multimedia module.

Package: libkcompactdisc-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libkcompactdisc4 (= ${binary:Version}), ${misc:Depends}
Breaks: kdemultimedia-dbg
Replaces: kdemultimedia-dbg
Description: debugging symbols for libKCompactDisc
 This package contains debugging files used to investigate problems with
 the libKCompactDisc library.
 .
 This package is part of the KDE multimedia module.

## libkcompactdisc 4.14.2

=== debian/changelog ===
libkcompactdisc (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 17:03:17 +0200

libkcompactdisc (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:20:51 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.14.2),
                libasound2-dev [linux-any],
                libphonon-dev (>= 4:4.6.0really4.3.80),
                pkg-kde-tools (>= 0.12)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkcompactdisc-dbg

## libkcompactdisc 14.12.3

=== debian/changelog ===
libkcompactdisc (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:11:45 -0700

libkcompactdisc (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:05:38 -0800

libkcompactdisc (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:34:35 +0100

libkcompactdisc (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:49 +0100

libkcompactdisc (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:20:51 -0700

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,21 @@
 Source: libkcompactdisc
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.2),
+               kdelibs5-dev,
                libasound2-dev [linux-any],
                libphonon-dev (>= 4:4.6.0really4.3.80),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcompactdisc
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkcompactdisc
-X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkcompactdisc.git
-X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkcompactdisc.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkcompactdisc.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkcompactdisc.git
 
 Package: libkcompactdisc4
 Section: libs

## libkcompactdisc 15.08.2

=== debian/changelog ===
libkcompactdisc (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:55:18 +0100

libkcompactdisc (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:38:29 +0100

libkcompactdisc (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:44:57 +0100

libkcompactdisc (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:22:45 +0100

libkcompactdisc (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:42:18 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libasound2-dev [linux-any],
                libphonon-dev (>= 4:4.6.0really4.3.80),
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkcompactdisc.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkcompactdisc.git

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkcompactdisc-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/libkcompactdisc-([\d.]+).tar.xz

## libkcompactdisc 15.12.3

=== debian/changelog ===
libkcompactdisc (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:16:23 -0700

libkcompactdisc (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes.
  * New upstream release. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 11:25:47 +0100

libkcompactdisc (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:29 +0100

libkcompactdisc (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 14:30:08 +0000

libkcompactdisc (4:15.04.3-1) unstable; urgency=medium

  [ Jeremy Lainé ]
  * New upstream release (15.04.3).
  * Bump Standards-Version to 3.9.6, no changes needed.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 19:48:49 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkcompactdisc.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkcompactdisc.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkcompactdisc.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkcompactdisc.git
 
 Package: libkcompactdisc4
 Section: libs
@@ -42,16 +42,3 @@
  This package contains the development files for libKCompactDisc.
  .
  This package is part of the KDE multimedia module.
-
-Package: libkcompactdisc-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: libkcompactdisc4 (= ${binary:Version}), ${misc:Depends}
-Breaks: kdemultimedia-dbg
-Replaces: kdemultimedia-dbg
-Description: debugging symbols for libKCompactDisc
- This package contains debugging files used to investigate problems with
- the libKCompactDisc library.
- .
- This package is part of the KDE multimedia module.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	$(overridden_command) --remaining-packages
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=libkcompactdisc-dbg
+	$(overridden_command) --ddeb-migration='libkcompactdisc-dbg (<= 4:15.12.0-1~~)'

## libkcompactdisc 16.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,10 @@
 endif()
 
 find_package(Alsa)
-alsa_configure_file(${CMAKE_CURRENT_BINARY_DIR}/config-alsa.h)
+if(ALSA_FOUND)
+    alsa_configure_file(${CMAKE_CURRENT_BINARY_DIR}/config-alsa.h)
+    add_definitions(-DHAVE_LIBASOUND2)
+endif(ALSA_FOUND)
 
 include_directories(${KDE4_INCLUDES})
 include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
libkcompactdisc (4:16.04.0-2) unstable; urgency=medium

  * Updated symbols from build logs

 -- Scott Kitterman <scott@kitterman.com>  Sun, 29 May 2016 02:54:01 -0400

libkcompactdisc (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files from buildds logs (4:15.12.0-1).
  * Update symbols files.
  * Refresh patches

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 23:46:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: libkcompactdisc
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.11),
                libasound2-dev [linux-any],
                libphonon-dev (>= 4:4.6.0really4.3.80),
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkcompactdisc.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkcompactdisc.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkcompactdisc.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkcompactdisc.git
 
 Package: libkcompactdisc4
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	$(overridden_command) --remaining-packages
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='libkcompactdisc-dbg (<= 4:15.12.0-1~~)'
+	$(overridden_command) --dbgsym-migration='libkcompactdisc-dbg (<= 4:15.12.0-1~~)'

## libkcompactdisc 16.04.3

=== debian/changelog ===
libkcompactdisc (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:44:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: libkcompactdisc
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.22~),
                libasound2-dev [linux-any],
                libphonon-dev (>= 4:4.6.0really4.3.80),
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkcompactdisc.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkcompactdisc.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcompactdisc
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcompactdisc
 
 Package: libkcompactdisc4
 Section: libs

## libkcompactdisc 16.12.3

=== debian/changelog ===
libkcompactdisc (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:25:55 +0000

libkcompactdisc (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Downgrade lib so from 16 to 5
  * Remove patches

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Library and soname bumped so refresh symbols and remove MISSING
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:14:36 +0000

=== debian/control ===
Source: libkcompactdisc
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libasound2-dev [linux-any],
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5solid-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental4,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcompactdisc
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcompactdisc

Package: libkf5compactdisc5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CD drive library for KDE Platform (runtime)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package is part of the KDE multimedia module.

Package: libkf5compactdisc-dev
Section: libdevel
Architecture: any
Depends: libkf5compactdisc5 (= ${binary:Version}), ${misc:Depends}
Description: CD drive library for KDE Platform (development)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package contains the development files for libKCompactDisc.
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5compactdisc-dbg (<= 4:15.12.0-1~~)'

## libkcompactdisc 17.04.3

=== debian/changelog ===
libkcompactdisc (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Add libkf5compactdisc-data installing the translations
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:29:56 +0100
